<?xml version="1.0" encoding="utf-8"?>

                                                              
                                                   
    
                 
                       
                                                         
           
    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:focusable="true"
        android:background="?android:attr/selectableItemBackground"
        android:paddingStart="16dp"
        android:paddingEnd="16dp" android:tag="layout/listitem_interface_0" xmlns:android="http://schemas.android.com/apk/res/android" xmlns:tools="http://schemas.android.com/tools">

        <ImageView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_vertical"
            android:importantForAccessibility="no"
            android:tag="binding_1"   
            android:tint="?android:attr/textColorPrimary"
            tools:src="@drawable/ic_device_network_wifi"/>

        <Space
            android:layout_width="16dp"
            android:layout_height="0dp"/>

        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:layout_marginTop="16dp"
            android:layout_marginBottom="16dp"
            android:orientation="vertical"
            android:layout_gravity="center_vertical">

            <TextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:tag="binding_2"     
                android:textAppearance="@style/TextAppearance.AppCompat.Subhead"
                tools:text="wlan0"/>

            <hanson.xyz.vpnhotspotmod.widget.AutoCollapseTextView
                android:id="@+id/text"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:tag="binding_3"    
                                                             
                tools:text="192.168.43.1/24\n01:23:45:ab:cd:ef"/>
        </LinearLayout>

        <com.google.android.material.materialswitch.MaterialSwitch
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_vertical"
            android:tag="binding_4"         
            android:clickable="false"
            android:ellipsize="end"
            android:focusable="false"
            android:focusableInTouchMode="false"
            android:gravity="center_vertical"/>

    </LinearLayout>
         